#include "project.h"

#define PWM_PERIOD 1000
#define LED_OFF  0
#define LED_1_4  250
#define LED_HALF 500
#define LED_3_4  750
#define LED_FULL 1000

int main(void)
{
    int led_level = LED_OFF ;
    
    CyGlobalIntEnable; /* Enable global interrupts. */

    CapSense_1_Start() ;

    PWM_WritePeriod(PWM_PERIOD) ;
    PWM_WriteCompare(led_level) ;
    PWM_Start() ;

    for(;;)
    {
         if (!CapSense_1_IsBusy()) {
            CapSense_1_ProcessAllWidgets() ;
            
            if (CapSense_1_IsSensorActive(CapSense_1_BUTTON0_WDGT_ID, CapSense_1_BUTTON0_SNS0_ID)) {
                switch(led_level) {
                case LED_OFF:  led_level = LED_1_4  ; break ;
                case LED_1_4:  led_level = LED_FULL ; break ;
                case LED_FULL: led_level = LED_OFF  ; break ;
                default:       led_level = LED_OFF  ; break ;
                }
                // PWM_Stop() ;
                PWM_WriteCompare(led_level) ;
                // PWM_Enable() ;
                CyDelay(500) ; /* cheap debouncing */
            }           
            CapSense_1_ScanAllWidgets() ;    
        }
    }
}

/* [] END OF FILE */
